<!-- fileUploadForm.jsp start -->
<%@ include file="/common/taglibs.jsp" %>

<head>
  <!-- dwr-upload CSS -->
  <link rel="stylesheet" href="<c:url value='/styles/dwrupload/lightboxDwrUpload.css' />" media="screen,projection" type="text/css" />
  <link rel="stylesheet" href="<c:url value='/styles/dwrupload/dwrUpload.css' />" media="screen,projection" type="text/css" />
  <!-- dwr-upload JS (must come before 'dwr-engine and utils') -->
  <script type="text/javascript" src="<c:url value='/scripts/dwrupload/lightboxDwrUpload.js' />"></script>
  <script type="text/javascript" src="<c:url value='/scripts/dwrupload/dwrUpload.js'/>"></script>
  <!-- dwr-engine and utils -->
    <%-- Note! engine.jsp is a tweaked version of the engine.js that supports urlrewriting for DWR requests.
    This means that the upload mechanism also works if cookies is disabled.
    For details see "Support for DWR without cookies" http://getahead.ltd.uk/dwr/fixes --%>
  <script type="text/javascript" src="<c:url value='/scripts/engine.jsp' />"></script>
  <script type="text/javascript" src="<c:url value='/dwr/interface/UploadMonitor.js'/>"></script><%-- The methds is implemented directly in dwr-upload.js. Don't know why --%>


  <script type="text/javascript">
    function updateStatusMessage(message) {
      DWRUtil.setValue('updateStatusMsg', message);
    }
  </script>
</head>

<title>DWR FileUpload title</title>
<content tag="heading">DWR FileUpload heading</content>



<%--  The dynamicJavascript and staticJavascript attributes default to true, but if dynamicJavascript is set to true  and staticJavascript is set to false then only the dynamic JavaScript will be rendered. If dynamicJavascript is set to false  and staticJavascript is set to true then only the static JavaScript will be rendered which can then be put in separate JSP page so the browser can cache the static JavaScript. From: http://struts.apache.org/userGuide/struts-html.html#javascript --%>
<html:javascript formName="fileUploadForm" cdata="false"
                 dynamicJavascript="true" staticJavascript="false"/>
<script type="text/javascript" src="<html:rewrite page="/scripts/validator.jsp"/>"></script>

<script type="text/javascript">
  dwrUploadTransferMessage = 'Filetransfer message';
  dwrUploadProcessingMessage = 'Fileprocessing message';

  function upload(form) {
    if (validateFileUploadForm(form)) {
      //Validation succeded or bCancel=true
      var hasfiles = ($('file1').value + $('file2').value + $('file3').value + $('file4').value).length >= 1;

      /*If saveUpdate button used and files exsists */
      if(hasfiles) {
        //Dont show lightbox if delete button is used
        var lb = new LightboxDwrUpl($('lbContent')); //Create new lightbox based on the content of the div tag with id "lbContent"
        if(lb.initialized) {
          lb.activate(); //Activate the LightboxDwrUpl
          parent.startProgress(); //Start the progressbar
          parent.showProgressAnimation(); //Start the progressbar animation graphic
        }
      }
      return true;
    }
    //Validation failed
    return false;
  }
</script>

<p>
  <html:form action="saveUploadFile.html" enctype="multipart/form-data" styleId="fileUploadForm"
           method="post" focus="file1" onsubmit="upload(this);">

  <%-- TODO note: trick to enshure default submit action is not the first of the delete buttons. Details see: HowTo set the default submit button on a form http://raibledesigns.com/page/rd?entry=howto_set_the_default_submit --%>
  <input type="submit" style="display: none"/>
  <html:hidden property="parameter" value="someValue"/>
  <nested:file styleId="file1" property="file1" styleClass="default"/><br/>
  <nested:file styleId="file2" property="file2" styleClass="default"/><br/>
  <nested:file styleId="file3" property="file3" styleClass="default"/><br/>
  <nested:file styleId="file4" property="file4" styleClass="default"/><br/>
</p>

  <nested:submit property="method" styleId="uploadbutton">
    <fmt:message key="button.save"/>
  </nested:submit>
</p>
</html:form>

<!-- lightbox-dwr-upload content -->
<div id="lbContent" style="display:none;">
    <div class="boxHeader">fileuploadForm.dwrFileupload.caption</div>

    <div class="boxBody">
      <!-- progressbar start -->
      <p><span class='status-text' id='updateStatusMsg'></span>

        <div id="progressBar" style="display: none;">

          <div id="theMeter">
            <div id="progressBarText"></div>

            <div style="float: left;" id="progressBarBox">
              <div id="progressBarBoxContent"></div>
            </div>
            <!-- activity image for browsers where js is disabled -->
          <span id="progressMsg" style="display:none; margin-left: 3px;"><img id="uploadindicator"
                                                                              src="<c:url value='/images/ajax/indicator.gif'/>"
                                                                              alt="Indicator"/></span>
          </div>
        </div>
      </p>
      <!-- progressbar end -->
    </div>
</div>

<!-- fileUploadForm.jsp end -->